Create New Clearing Order
POSThttps://api.gemini.com/v1/clearing/new
Creates a new bilateral clearing order on Gemini.
curl --request POST \
--url https://api.gemini.com/v1/clearing/new \
--header 'Content-Type: application/json' \
--header 'X-GEMINI-APIKEY: <string>' \
--header 'X-GEMINI-PAYLOAD: <string>' \
--header 'X-GEMINI-SIGNATURE: <string>' \
--data '
{
"request": "/v1/clearing/new",
"nonce": "<nonce>",
"counterparty_id": "OM9VNL1G",
"expires_in_hrs": 24,
"symbol": "btcusd",
"amount": "100",
"price": "9500.00",
"side": "buy"
}
'
Roles
The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.
The OAuth scope must have clearing:create assigned to access this endpoint. See OAuth Scopes for more information.
Headers
X-GEMINI-APIKEYstring·required
Your API keyX-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secretX-GEMINI-PAYLOADstring·required
Base64-encoded JSON payloadContent-Typestring
Default: text/plainContent-Lengthstring
Default: 0Cache-Controlstring
Default: no-cacheRequest Body
requeststring·required
The literal string "/v1/clearing/new"nonceTimestampType | integer·required
timestampExample: 1495127793000symbolstring·required
The trading pairamountstring·required
The amount to tradepricestring·required
The pricesidestring·enum·required
The direction of the tradeEnum values: buysellcounterparty_idstring
The counterparty IDexpires_in_hrsinteger
The number of hours until the order expiresaccountstring
Required for Master API keys. The name of the account within the subaccount group.{
"request": "/v1/clearing/new",
"nonce": "<nonce>",
"counterparty_id": "OM9VNL1G",
"expires_in_hrs": 24,
"symbol": "btcusd",
"amount": "100",
"price": "9500.00",
"side": "buy"
}
Responses
Successful operation
clearing_idstring
The clearing IDsymbolstring
The trading pairpricestring
The order priceamountstring
The order amountsidestring·enum
Enum values: buysellstatusstring
The order statustimestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000timestampmsinteger
The timestamp in millisecondsis_confirmedboolean
Whether the order is confirmed{
"result": "AwaitConfirm",
"clearing_id": "0OQGOZXW"
}